<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="GenerellesEreignis" type="GenerellesEreignisGETyp">
    <xs:annotation>
      <xs:documentation>Version 006 - Release 001</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:simpleType name="an..10">
    <xs:restriction base="xs:string">
      <xs:maxLength value="10"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="an..100">
    <xs:restriction base="xs:string">
      <xs:maxLength value="100"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="an..17">
    <xs:restriction base="xs:string">
      <xs:maxLength value="17"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="an..20">
    <xs:restriction base="xs:string">
      <xs:maxLength value="20"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="an..21">
    <xs:restriction base="xs:string">
      <xs:maxLength value="21"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="an..35">
    <xs:restriction base="xs:string">
      <xs:maxLength value="35"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="an..36">
    <xs:restriction base="xs:string">
      <xs:maxLength value="36"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="an..4">
    <xs:restriction base="xs:string">
      <xs:maxLength value="4"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="an..4000">
    <xs:restriction base="xs:string">
      <xs:maxLength value="4000"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="an..70">
    <xs:restriction base="xs:string">
      <xs:maxLength value="70"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="ApplicationInternalDataAdditionalDetailsDataType">
    <xs:sequence>
      <xs:element name="Key" type="an..35" minOccurs="0"/>
      <xs:element name="Value" type="an..100" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="ApplicationInternalDataAdditionalDetailsType">
    <xs:sequence>
      <xs:element name="Data" type="ApplicationInternalDataAdditionalDetailsDataType" minOccurs="0" maxOccurs="999"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="ApplicationInternalDataType">
    <xs:sequence>
      <xs:element name="AdditionalDetails" type="ApplicationInternalDataAdditionalDetailsType" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="DatenaustauschAllgemeinTyp">
    <xs:sequence>
      <xs:element name="Transaktion" type="TransaktionAllgemeinTyp"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="EinzelEreignisTyp">
    <xs:sequence>
      <xs:element name="ObjektIdentifizierung" type="ObjektIdentifizierungGETyp"/>
      <xs:element name="KopfDaten" type="KopfDatenEreignisTyp" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="EreignisGETyp">
    <xs:sequence>
      <xs:element name="Positionsnummer" type="n5" minOccurs="0"/>
      <xs:element name="EreignisCode" type="an..17" minOccurs="0"/>
      <xs:element name="Ereignismitteilung" type="an..4000" minOccurs="0"/>
      <xs:element name="InvolvedMRN" type="an..35" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="GenerellesEreignisGETyp">
    <xs:complexContent>
      <xs:extension base="DatenaustauschAllgemeinTyp">
        <xs:sequence>
          <xs:element name="EinzelEreignisObjekt" type="EinzelEreignisTyp" maxOccurs="unbounded"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="KopfDatenEreignisTyp">
    <xs:sequence>
      <xs:element name="Registrierdatum" type="xs:date" minOccurs="0"/>
      <xs:element name="RegistrierNrATLAS" type="an..35" minOccurs="0"/>
      <xs:element name="VeralteteWeitereRegistriernummer" type="an..21" minOccurs="0"/>
      <xs:element name="RegistrationNumberExternal" type="an..70" minOccurs="0"/>
      <xs:element name="Ereignis" type="EreignisGETyp" minOccurs="0" maxOccurs="9999999"/>
      <xs:element name="ApplicationInternalData" type="ApplicationInternalDataType" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="n3">
    <xs:restriction base="xs:nonNegativeInteger">
      <xs:pattern value="\d{3}"/>
      <xs:totalDigits value="3"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="n5">
    <xs:restriction base="xs:nonNegativeInteger">
      <xs:pattern value="\d{5}"/>
      <xs:totalDigits value="5"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="ObjektIdentifizierungGETyp">
    <xs:sequence>
      <xs:element name="ObjektName" type="an..35"/>
      <xs:element name="ObjektAlias" type="an..35" minOccurs="0"/>
      <xs:element name="ObjektAntragArt" type="an..4"/>
      <xs:element name="EDIFACTNachrichtenNr" type="an..36" minOccurs="0"/>
      <xs:element name="ZeitpunktEingang" type="xs:dateTime"/>
      <xs:element name="Ereignisgewichtung" type="an..10"/>
      <xs:element name="Meldestelle" type="an..20"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="TransaktionAllgemeinTyp">
    <xs:sequence>
      <xs:element name="IOPartner" type="an..100"/>
      <xs:element name="IODivision1" type="an..10" minOccurs="0"/>
      <xs:element name="IODivision2" type="an..10" minOccurs="0"/>
      <xs:element name="IODivision3" type="an..10" minOccurs="0"/>
      <xs:element name="IOReferenz" type="an..35"/>
      <xs:element name="IODatumZeit" type="xs:dateTime"/>
      <xs:element name="Version" type="n3" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>
</xs:schema>
